Bug 809916 - Cannot connect to JMS server with HornetQ and server's address bound to 0.0.0.0
Cannot connect to JMS server with HornetQ and server's address bound to 0.0.0.0
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Configuration, JBoss HornetQ (Show other bugs)
5.3.0 GA
Unspecified Unspecified
urgent Severity high
: ER4
: 5.3.0 GA
Assigned To: Julian Coleman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 12:31 EDT by Pavel Macik
Modified: 2015-03-12 07:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An exception was thrown when attempting to connect to the JMS server with HornetQ. The error occurred when the server's address was bound to 0.0.0.0. It was caused by the connectors' and acceptors' host being derived from the "jboss.bind.address" property.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
HornetQ configuration patch file (632 bytes, patch)
2012-04-04 12:31 EDT, Pavel Macik
no flags Details | Diff

  None (edit)
Description Pavel Macik 2012-04-04 12:31:32 EDT
Created attachment 575183 [details]
HornetQ configuration patch file

When one uses -b argument to run.sh to set the bind address to the server with value of "0.0.0.0" JMS clients are unable to connect to the JMS server and following exception ("javax.jms.JMSException: Failed to create session factory") is thrown when HornetQ is used as JMS provider.

     [java] Caused by: HornetQException[errorCode=2 message=Cannot connect to server(s). Tried with all available servers.]
     [java]     at org.hornetq.core.client.impl.ServerLocatorImpl.createSessionFactory(ServerLocatorImpl.java:779)
     [java]     at org.hornetq.jms.client.HornetQConnectionFactory.createConnectionInternal(HornetQConnectionFactory.java:601)
     [java]     ... 18 more

This is caused by connectors' and acceptors' host taken from "jboss.bind.address" property. It should rather use "jboss.esb.bind.address" property instead.

Attached is a patch for hornetq-configuration.xml that fixes the issue.
Comment 1 Julian Coleman 2012-05-30 11:47:28 EDT
Resolved with revision 11137 of:

  soa-p/src/main/patches/eap/patch_hornetq_conf.xml

Commit message:

  BZ 809916
  Replace:
    
    ${jboss.bind.address:localhost}
  
  with:
  
    ${jboss.esb.bind.address:localhost} 
  
  in all hornetq-configuration.xml files.
Comment 4 Suz 2012-06-13 19:54:25 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
An exception is thrown when attempting to connect to the JMS server with HornetQ. The error occurs when the server's address is bound to 0.0.0.0. It is caused by connectors' and acceptors' host taken from "jboss.bind.address" property.
Comment 6 David Le Sage 2012-07-01 23:49:07 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-An exception is thrown when attempting to connect to the JMS server with HornetQ. The error occurs when the server's address is bound to 0.0.0.0. It is caused by connectors' and acceptors' host taken from "jboss.bind.address" property.+An exception was thrown when attempting to connect to the JMS server with HornetQ. The error occurred when the server's address was bound to 0.0.0.0. It was caused by the connectors' and acceptors' host being derived from the "jboss.bind.address" property.

Note You need to log in before you can comment on or make changes to this bug.